### Method

# Fwupd Device get_battery_threshold

since: 1.8.1

#### Declaration [src]

    guint32
    fwupd_device_get_battery_threshold (
      FwupdDevice* self
    )

#### Description [src]

Returns the battery threshold under which a firmware update cannot be performed.

If `fwupd_device_set_battery_threshold()` has not been used, a default value is used instead.

Available since: 1.8.1

Gets property | `Fwupd.Device:battery-threshold`

#### Return value

Type: `guint32`

Value in percent.